test/post/test-post-basic test/post/test-post-multiple \
test/post/test-post-dcc test/post/test-post-fcc \
test/post/test-post-multifrom test/post/test-post-envelope \
+ test/post/test-post-group \
test/refile/test-refile \
test/repl/test-if-str test/scan/test-scan \
test/sequences/test-flist test/sequences/test-mark \
--- /dev/null
+#!/bin/sh
+#
+# Test the behavior of post when using group addresses
+#
+
+set -e
+
+if test -z "${MH_OBJ_DIR}"; then
+ srcdir=`dirname "$0"`/../..
+ MH_OBJ_DIR=`cd "$srcdir" && pwd`; export MH_OBJ_DIR
+fi
+
+. "${srcdir}/test/post/test-post-common.sh"
+
+#
+# Group test
+#
+cat > "${MH_TEST_DIR}/Mail/draft" <<EOF
+From: Mr Nobody <nobody@example.com>
+To: our-group: Somebody One <somebody1@example.com>
+ Somebody Two <somebody2@example.com>;
+Subject: Group test
+
+This is test of group recipients.
+EOF
+
+cat > "${testname}.expected" <<EOF
+EHLO nosuchhost.example.com
+MAIL FROM:<nobody@example.com>
+RCPT TO:<somebody1@example.com>
+RCPT TO:<somebody2@example.com>
+DATA
+From: Mr Nobody <nobody@example.com>
+To: our-group: ;
+Subject: Group test
+Date:
+
+This is test of group recipients.
+.
+QUIT
+EOF
+
+test_post "${testname}.actual" "${testname}.expected"
+
+exit ${failed:-0}